Package groovy.sql

# Class ResultSetMetaDataWrapper

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.sql.ResultSetMetaDataWrapper

All Implemented Interfaces:
  `GroovyObject`

    public class ResultSetMetaDataWrapper
    extends GroovyObjectSupport

This class defines a wrapper for accessing a specific column in `ResultSetMetaData`. This allows iteration over columns using idiomatic Groovy, e.g.:

     meta.each {col ->
       println col.columnName
     }

All `ResultSetMetaData` column methods taking a column index are available on a column either as a no-arg getter or via a property.

This wrapper is created by an iterator invoked for `ResultSetMetaData`.

See Also:
  `SqlExtensions`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ResultSetMetaDataWrapper​(java.sql.ResultSetMetaData target, int index)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `getProperty​(java.lang.String property)` | Retrieves a property value.
  `java.lang.Object` | `invokeMethod​(java.lang.String name, java.lang.Object args)` | Invokes the given method.
  `void` | `setProperty​(java.lang.String property, java.lang.Object newValue)` | Sets the given property to the new value.

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResultSetMetaDataWrapper

    public ResultSetMetaDataWrapper​(java.sql.ResultSetMetaData target, int index)

- ## Method Details

  - ### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String name, java.lang.Object args)
    Description copied from interface: `GroovyObject`
    Invokes the given method.
    Parameters:
      `name` - the name of the method to call
      `args` - the arguments to use for the method call
    Returns:
      the result of invoking the method

  - ### getProperty

    public java.lang.Object getProperty​(java.lang.String property)
    Description copied from interface: `GroovyObject`
    Retrieves a property value.
    Parameters:
      `property` - the name of the property of interest
    Returns:
      the given property

  - ### setProperty

    public void setProperty​(java.lang.String property, java.lang.Object newValue)
    Description copied from interface: `GroovyObject`
    Sets the given property to the new value.
    Parameters:
      `property` - the name of the property of interest
      `newValue` - the new value for the property